# Uses of Class
org.apache.lucene.index.OrdinalMap

Packages that use OrdinalMap
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

## Uses of OrdinalMap in org.apache.lucene.index

Fields in org.apache.lucene.index declared as OrdinalMap
Modifier and Type
Field
Description
`final OrdinalMap`
MultiDocValues.MultiSortedDocValues.`mapping`
ordinal map mapping ords from `values` to global ord space
`final OrdinalMap`
MultiDocValues.MultiSortedSetDocValues.`mapping`
ordinal map mapping ords from `values` to global ord space
Methods in org.apache.lucene.index that return OrdinalMap
Modifier and Type
Method
Description
`static OrdinalMap`
OrdinalMap.`build(IndexReader.CacheKey owner, SortedDocValues[] values, float acceptableOverheadRatio)`
Create an ordinal map that uses the number of unique values of each `SortedDocValues` instance as a weight.
`static OrdinalMap`
OrdinalMap.`build(IndexReader.CacheKey owner, SortedSetDocValues[] values, float acceptableOverheadRatio)`
Create an ordinal map that uses the number of unique values of each `SortedSetDocValues` instance as a weight.
`static OrdinalMap`
OrdinalMap.`build(IndexReader.CacheKey owner, TermsEnum[] subs, long[] weights, float acceptableOverheadRatio)`
Creates an ordinal map that allows mapping ords to/from a merged space from `subs`.
Constructors in org.apache.lucene.index with parameters of type OrdinalMap
Modifier
Constructor
Description
``
`MultiSortedDocValues(SortedDocValues[] values, int[] docStarts, OrdinalMap mapping, long totalCost)`
Creates a new MultiSortedDocValues over `values`
``
`MultiSortedSetDocValues(SortedSetDocValues[] values, int[] docStarts, OrdinalMap mapping, long totalCost)`
Creates a new MultiSortedSetDocValues over `values`